notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
rubygem-sequel3 The Database Toolkit for Ruby
3.48.0 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 3.48.0Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Use devel/rubygem-sequel instead
Expired This port expired on: 2017-08-31
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2013-07-13 21:31:06
Last Update: 2017-09-03 09:51:31
SVN Revision: 449193
Also Listed In: rubygems
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • rubygem-sequel3>0:devel/rubygem-sequel3
No installation instructions:
This port has been deleted.
PKGNAME: rubygem-sequel3
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
rubygem-sequel3
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv63.48.0-
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Runtime dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Patch dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Extract dependencies:
  1. ruby23 : lang/ruby23
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. mail/rubygem-larch*
  2. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://rubygems.global.ssl.fastly.net/gems/
Collapse this list.
Port Moves
  • port moved to devel/rubygem-sequel on 2017-09-03
    REASON: Has expired: Use devel/rubygem-sequel instead

Number of commits found: 12

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
03 Sep 2017 09:51:31
Original commit files touched by this commit Revision:449193  3.48.0
rene search for other commits by this committer
Remove expired ports:
2017-08-30 www/speedtest-mini: Discontinued upstream (on June 30, 2017)
2017-08-31 devel/rubygem-sequel3: Use devel/rubygem-sequel instead
2017-08-31 audio/tomahawk: Project is dead upstream.
2017-08-31 mail/rubygem-larch: Unmaintained by upstream, no changes since 2013
2017-08-31 devel/rubygem-sidekiq4: Use devel/rubygem-sidekiq instead
2017-08-31 devel/rubygem-webpacker1-rails5: Use devel/rubygem-webpacker-rails5
instead
2017-08-31 devel/rubygem-sidekiq-cron04: Use devel/rubygem-sidekiq-cron instead
2017-09-01 www/py-django19: Unsupported upstream
2017-09-01 mail/movemail: Out of date
2017-09-01 german/phone: Out of date
2017-09-01 ports-mgmt/fbsdmon: no longer maintained, web site it sends data to
has been taken over by cybersquatters
28 Aug 2017 19:18:46
Original commit files touched by this commit Revision:448884  3.48.0
sunpoet search for other commits by this committer
Mark DEPRECATED and set EXPIRATION_DATE to 2017-08-31

mail/rubygem-larch is the only consumer which will expire on August 31, 2017.
27 Apr 2016 21:57:32
Original commit files touched by this commit Revision:414136  3.48.0
swills search for other commits by this committer
Convert USES=gem:autoplist to USES=gem since autoplist is default
27 Apr 2016 16:36:42
Original commit files touched by this commit Revision:414118  3.48.0
swills search for other commits by this committer
create USES=gem and update rubygem- ports to use it

Note that for now ports still have to have USE_RUBY=yes to use USES=gem

PR:		209041
Differential Revision:	https://reviews.freebsd.org/D6070
17 Oct 2015 18:09:59
Original commit files touched by this commit Revision:399585  3.48.0
sunpoet search for other commits by this committer
- Update WWW
02 Jul 2015 16:01:08
Original commit files touched by this commit Revision:391169  3.48.0
pgollucci search for other commits by this committer
Set NO_ARCH for remaining rubygem-* ports with no arch dependent files

Obtained from:  DEVELOPER_MODE
With Hat:       ruby@

Sponsored by:   RideCharge Inc / Curb
19 Aug 2014 15:35:36
Original commit files touched by this commit Revision:365393  3.48.0
swills search for other commits by this committer
many ruby/rubygem ports: death of rubyforge.org

rubyforge.org shutdown on May 15, 2014. This commit accounts for that by doing
several things:

- Deprecate ruby that had only rubyforge.org as MASTER_SITES (and so are now
  only fetchable via our cache)
- Deprecate ports that depend on those
- Update the WWW pkg-descr line that points to rubyforge.org for rubygem ports
  (which are still fetchable from rubygems.org)

The next step will be to remove rubyforge.org from bsd.sites.mk, after these
deprecated ports are deleted.

Phabric:	D591
With hat:	ruby
Approved by:	portmgr (because of committing to unstaged graphics/mingplot port)
07 Dec 2013 01:02:16
Original commit files touched by this commit Revision:335800  3.48.0
sunpoet search for other commits by this committer
- Add LICENSE
- Move PKGNAMESUFFIX upward
- Remove NO_LATEST_LINK
30 Oct 2013 02:42:34
Original commit files touched by this commit Revision:332041  3.48.0
swills search for other commits by this committer
- Add stage support
29 Oct 2013 14:36:04
Original commit files touched by this commit Revision:331954  3.48.0
swills search for other commits by this committer
- Add PKGNAMESUFFIX to devel/rubygem-sequel3 fix package name collision with
  devel/rubygem-sequel
- Update rubygem-larch for new package name of rubygem-sequel3
20 Sep 2013 17:17:45
Original commit files touched by this commit Revision:327726  3.48.0
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
devel part 4)
13 Jul 2013 21:30:51
Original commit files touched by this commit Revision:322972  3.48.0
swills search for other commits by this committer
- Update rubygem-sequel to 4.0.0
- Create sequel3 port for rubygem-larch

Number of commits found: 12